Error
A valid request URL is required to generate request examples{
"pageKey": "<string>",
"response": [
{
"rank": 1,
"chain": {
"id": 123,
"name": "<string>",
"type": "bitcoin"
},
"creatorAddress": "<string>",
"stats": {
"usdDonatedE6": "<string>",
"donationCount": "<string>",
"firstDonationDate": "<string>",
"lastDonationDate": "<string>"
},
"type": "token",
"token": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123
}
}
]
}{
"error": "<string>",
"code": "VALIDATION_ERROR",
"issues": [
null
]
}{
"error": "<string>",
"code": "NOT_FOUND"
}{
"error": "<string>",
"code": "<string>"
}API Reference
Get the subject leaderboard for a given donation source contract
Get the leaderboard for top donating subjects for a specific source contract.
GET
/
{chainId}
/
donationSources
/
{address}
/
subjects
/
leaderboard
Error
A valid request URL is required to generate request examples{
"pageKey": "<string>",
"response": [
{
"rank": 1,
"chain": {
"id": 123,
"name": "<string>",
"type": "bitcoin"
},
"creatorAddress": "<string>",
"stats": {
"usdDonatedE6": "<string>",
"donationCount": "<string>",
"firstDonationDate": "<string>",
"lastDonationDate": "<string>"
},
"type": "token",
"token": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123
}
}
]
}{
"error": "<string>",
"code": "VALIDATION_ERROR",
"issues": [
null
]
}{
"error": "<string>",
"code": "NOT_FOUND"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Developer API key. Required for config create/list/delete and project analytics. Optional on public GET reads (anonymous callers are IP rate-limited). Obtain from the Developer dashboard.
Headers
Developer API key
Minimum string length:
1Query Parameters
Whether to include inappropriate entries in the leaderboard (default true)
Available options:
true, false Sort order for leaderboard results (default top-donated)
Available options:
top-donated, recent-donation Page size (default 25, max 100)
Required range:
1 <= x <= 100Cursor for next page (from previous pageKey)
Was this page helpful?